<script setup lang="ts">
import { ref } from 'vue';

import { useVbenModal } from '@vben/common-ui';

import { message } from 'ant-design-vue';

import InnerView from '#/views/eims/repair-req/index.vue';

const emit = defineEmits<{ updateSelect: [any] }>();

const [BasicModal, modalApi] = useVbenModal({
  fullscreenButton: false,
  draggable: true,
  onCancel: handleCancel,
  onConfirm: handleConfirm
});
const innerView = ref();

async function handleConfirm() {
  try {
    modalApi.modalLoading(true);
    const tableSelect = innerView.value.tableSelect();
    if (tableSelect.length > 1) {
      message.error('最多只能选择一条数据！');
      modalApi.modalLoading(false);
      return false;
    }
    emit('updateSelect', tableSelect[0]);
    await handleCancel();
  } catch (error) {
    console.error(error);
  } finally {
    modalApi.modalLoading(false);
  }
}

async function handleCancel() {
  modalApi.close();
}
</script>

<template>
  <BasicModal :fullscreen-button="true" class="w-[800px]">
    <InnerView ref="innerView" :filter-flag="true" status="0" />
  </BasicModal>
</template>

<style scoped></style>
